Description

As we move toward SOLR-based query support, pathquery will play less of a role in Metacat. We should be able to disable it
altogether for installations that do not wish to incur the processing overhead.

Related issues:
Related to Metacat - Task #5930: Add a configuration property to turn on/off ... Closed 04/30/2013

History

#1 - 07/09/2013 01:59 PM - ben leinfelder

- Assignee set to Jing Tao

#2 - 08/01/2013 02:06 PM - ben leinfelder

- Target version changed from 2.x.y to 2.1.1

#3 - 08/23/2013 02:42 PM - ben leinfelder

- Target version changed from 2.1.1 to 2.2.0

#4 - 08/27/2013 02:39 PM - Jing Tao

- Status changed from New to Resolved

In the metacat.properties file, there is a property:
dbquery.enabledEngines=pathquery;solr

If the "pathquery" is removed, the actions of metacat - query, squery and spatial_query will be disabled. The dataquery will still work because it
doesn't use the pathquery.

The IndexQueque will be disabled as well (no threads will be generated to build index). So the metacat will not build index in the xml_index and
xml_path_index tables any more.

The action "buildindex" in metacat will be disabled too.

The methods in Dataone for the pathquery engine will be disabled too.

If the pathquery is added back, the missing index will be rebuilt after restart the tomcat and the above the methods will be restored.
#5 - 08/22/2014 09:00 AM - ben leinfelder

- Status changed from Resolved to In Progress

- Target version changed from 2.2.0 to 2.5.0

#6 - 08/22/2014 09:02 AM - Jing Tao

It seems we missed a spot:
metacat 20140822-00:40:14: [DEBUG]: MetaCatServlet.checkindexPaths - Checking if 'coverage/temporalCoverage/singleDateTime/calendarDate’ is
indexed.... [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The connection is checked out:
org.postgresql.jdbc3.Jdbc3Connection@d921d13 [edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The method for checking is: MetaCatServlet.checkindexPaths
[edu.ucsb.nceas.metacat.database.DBConnectionPool]
metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The age is 5492
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The usage is 5
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The connection time is: 9
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: MetaCatServlet.checkindexPaths - already indexed. [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:14: [DEBUG]: MetaCatServlet.checklndexPaths - Checking if ‘coverage/temporalCoverage/rangeOfDates/beginDate/time' is
indexed.... [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The connection is checked out:
org.postgresql.jdbc3.Jdbc3Connection@1f397822 [edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The method for checking is: MetaCatServlet.checkindexPaths
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The age is 5608
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The usage is 2
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:14: [DEBUG]: DBConnectionPool.getDBConnection - The connection time is: 0
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:16: [DEBUG]: MetaCatServlet.checkindexPaths - already indexed. [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:16: [DEBUG]: MetaCatServlet.checkindexPaths - Checking if 'coverage/temporalCoverage/rangeOfDates/endDate/time’ is
indexed.... [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:16: [DEBUG]: DBConnectionPool.getDBConnection - The connection is checked out:
org.postgresql.jdbc3.Jdbc3Connection@60cea70d [edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:16: [DEBUG]: DBConnectionPool.getDBConnection - The method for checking is: MetaCatServlet.checkindexPaths
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:16: [DEBUG]: DBConnectionPool.getDBConnection - The age is 7052
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:16: [DEBUG]: DBConnectionPool.getDBConnection - The usage is 5
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:16: [DEBUG]: DBConnectionPool.getDBConnection - The connection time is: 312
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: MetaCatServlet.checkindexPaths - already indexed. [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:17: [DEBUG]: MetaCatServlet.checkindexPaths - Checking if ‘coverage/temporalCoverage/singleDate Time/time' is
indexed.... [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:17: [DEBUG]: DBConnectionPool.getDBConnection - The connection is checked out:
org.postgresql.jdbc3.Jdbc3Connection@d921d13 [edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: DBConnectionPool.getDBConnection - The method for checking is: MetaCatServlet.checkindexPaths
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: DBConnectionPool.getDBConnection - The age is 8480
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: DBConnectionPool.getDBConnection - The usage is 8
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: DBConnectionPool.getDBConnection - The connection time is: 135
[edu.ucsb.nceas.metacat.database.DBConnectionPool]

metacat 20140822-00:40:17: [DEBUG]: MetaCatServlet.checkindexPaths - not indexed yet. [edu.ucsb.nceas.metacat.MetaCatServlet]

metacat 20140822-00:40:17: [DEBUG]: MetaCatServlet.checkindexPaths - Inserting following path in xml_path_index:
coverage/temporalCoverage/singleDate Time/time [edu.ucsb.nceas.metacat.MetaCatServlet]
#7 - 08/25/2014 04:33 PM - Jing Tao

- Status changed from In Progress to Closed

| missed the spot in checkindexPaths in the MetacatServlet class. So the check was added in that method. Codes was committed to both 2.4 branch
and trunk.

#8 - 11/13/2014 03:04 PM - Jing Tao
- Target version changed from 2.5.0 to 2.4.2
